-- MySQL dump 10.15  Distrib 10.0.36-MariaDB, for debian-linux-gnu (x86_64)
--
-- Host: 127.0.0.1    Database: qfq_db
-- ------------------------------------------------------
-- Server version	10.3.13-MariaDB-1:10.3.13+maria~bionic

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `Clipboard`
--

DROP TABLE IF EXISTS `Clipboard`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Clipboard` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cookie` varchar(255) NOT NULL DEFAULT '',
  `formIdPaste` int(11) NOT NULL DEFAULT 0,
  `idSrc` int(11) NOT NULL DEFAULT 0,
  `xId` int(11) NOT NULL DEFAULT 0,
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Clipboard`
--

LOCK TABLES `Clipboard` WRITE;
/*!40000 ALTER TABLE `Clipboard` DISABLE KEYS */;
/*!40000 ALTER TABLE `Clipboard` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Cron`
--

DROP TABLE IF EXISTS `Cron`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Cron` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grId` int(11) NOT NULL,
  `type` enum('mail','website') NOT NULL DEFAULT 'website',
  `lastRun` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastStatus` text NOT NULL,
  `nextRun` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `frequency` varchar(32) NOT NULL,
  `inProgress` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `status` enum('enable','disable') NOT NULL DEFAULT 'enable',
  `sql1` text NOT NULL,
  `content` text NOT NULL,
  `comment` text NOT NULL,
  `outputFile` varchar(255) NOT NULL,
  `outputMode` enum('overwrite','append') NOT NULL DEFAULT 'append',
  `outputPattern` varchar(255) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Cron`
--

LOCK TABLES `Cron` WRITE;
/*!40000 ALTER TABLE `Cron` DISABLE KEYS */;
/*!40000 ALTER TABLE `Cron` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Dirty`
--

DROP TABLE IF EXISTS `Dirty`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Dirty` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sip` varchar(255) NOT NULL,
  `tableName` varchar(255) NOT NULL,
  `recordId` int(11) NOT NULL,
  `expire` datetime NOT NULL,
  `recordHashMd5` char(32) NOT NULL,
  `feUser` varchar(255) NOT NULL,
  `qfqUserSessionCookie` varchar(255) NOT NULL,
  `dirtyMode` enum('exclusive','advisory','none') NOT NULL DEFAULT 'exclusive',
  `remoteAddress` varchar(45) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `sip` (`sip`),
  KEY `tableName` (`tableName`),
  KEY `recordId` (`recordId`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Dirty`
--

LOCK TABLES `Dirty` WRITE;
/*!40000 ALTER TABLE `Dirty` DISABLE KEYS */;
/*!40000 ALTER TABLE `Dirty` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Form`
--

DROP TABLE IF EXISTS `Form`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Form` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(511) NOT NULL DEFAULT '',
  `noteInternal` text NOT NULL,
  `tableName` varchar(255) NOT NULL DEFAULT '',
  `primaryKey` varchar(255) NOT NULL DEFAULT '',
  `permitNew` enum('sip','logged_in','logged_out','always','never') NOT NULL DEFAULT 'sip',
  `permitEdit` enum('sip','logged_in','logged_out','always','never') NOT NULL DEFAULT 'sip',
  `escapeTypeDefault` varchar(32) NOT NULL DEFAULT 'c',
  `render` enum('bootstrap','table','plain') NOT NULL DEFAULT 'bootstrap',
  `requiredParameterNew` varchar(255) NOT NULL DEFAULT '',
  `requiredParameterEdit` varchar(255) NOT NULL DEFAULT '',
  `dirtyMode` enum('exclusive','advisory','none') NOT NULL DEFAULT 'exclusive',
  `showButton` set('new','delete','close','save') NOT NULL DEFAULT 'new,delete,close,save',
  `multiMode` enum('none','horizontal','vertical') NOT NULL DEFAULT 'none',
  `multiSql` text NOT NULL,
  `multiDetailForm` varchar(255) NOT NULL DEFAULT '',
  `multiDetailFormParameter` varchar(255) NOT NULL DEFAULT '',
  `forwardMode` enum('client','no','url','url-skip-history','url-sip') NOT NULL DEFAULT 'client',
  `forwardPage` varchar(255) NOT NULL DEFAULT '',
  `labelAlign` enum('default','left','center','right') NOT NULL DEFAULT 'default',
  `bsLabelColumns` varchar(255) NOT NULL DEFAULT '',
  `bsInputColumns` varchar(255) NOT NULL DEFAULT '',
  `bsNoteColumns` varchar(255) NOT NULL DEFAULT '',
  `parameter` text NOT NULL,
  `parameterLanguageA` text NOT NULL,
  `parameterLanguageB` text NOT NULL,
  `parameterLanguageC` text NOT NULL,
  `parameterLanguageD` text NOT NULL,
  `recordLockTimeoutSeconds` int(11) NOT NULL DEFAULT 900,
  `deleted` enum('yes','no') NOT NULL DEFAULT 'no',
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `name` (`name`),
  KEY `name_deleted` (`name`,`deleted`)
) ENGINE=InnoDB AUTO_INCREMENT=1007 DEFAULT CHARSET=utf8 COMMENT='Version=19.01.2';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Form`
--

LOCK TABLES `Form` WRITE;
/*!40000 ALTER TABLE `Form` DISABLE KEYS */;
INSERT INTO `Form` VALUES (1,'form','Form Editor: {{SELECT id, \" / \", name FROM Form WHERE id = {{r:S0}}}} (DB: {{dbNameQfq:Y}})','FormElement Editor','Form','','sip','sip','c','bootstrap','','','exclusive','new,delete,close,save','none','','','','client','','default','','','','maxVisiblePill=5\nclass=container-fluid\ndbIndex={{indexQfq:Y}}','','','','',900,'no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(2,'formElement','Form Element Editor. Form : {{SELECT f.id, \" / \",  f.name  FROM Form AS f WHERE f.id = {{formId:S0}}  }} (DB: {{dbNameQfq:Y}})','Please secure the form','FormElement','','sip','sip','c','bootstrap','formId','','exclusive','new,delete,close,save','none','','','','client','','default','','','','maxVisiblePill=5\nclassBody=qfq-color-blue-1\ndbIndex={{indexQfq:Y}}','','','','',900,'no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(3,'copyForm','Copy a form','','Clipboard','','sip','sip','c','bootstrap','','','exclusive','close,save','none','','','','url-sip','?id={{pageId:T}}&form=form&r={{formId:P0}}','default','','','','submitButtonText = Copy Form','','','','',900,'no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(4,'cron','autoCron','','Cron','','sip','sip','c','bootstrap','','','none','new,delete,close,save','none','','','','client','','default','','','','dbIndex={{indexQfq:Y}}','','','','',900,'no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(1000,'person','','','Person','','sip','sip','c','bootstrap','','','exclusive','new,delete,close,save','none','','','','client','','default','','','','','','','','',900,'no','2019-03-06 13:41:35','2019-03-06 13:41:35');
/*!40000 ALTER TABLE `Form` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `FormElement`
--

DROP TABLE IF EXISTS `FormElement`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `FormElement` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formId` int(11) NOT NULL,
  `feIdContainer` int(11) NOT NULL DEFAULT 0,
  `dynamicUpdate` enum('yes','no') NOT NULL DEFAULT 'no',
  `enabled` enum('yes','no') NOT NULL DEFAULT 'yes',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(511) NOT NULL DEFAULT '',
  `mode` enum('show','required','readonly','hidden') NOT NULL DEFAULT 'show',
  `modeSql` text NOT NULL,
  `class` enum('native','action','container') NOT NULL DEFAULT 'native',
  `type` enum('checkbox','date','datetime','dateJQW','datetimeJQW','extra','gridJQW','text','editor','annotate','time','note','password','radio','select','subrecord','upload','annotate','imageCut','fieldset','pill','templateGroup','beforeLoad','beforeSave','beforeInsert','beforeUpdate','beforeDelete','afterLoad','afterSave','afterInsert','afterUpdate','afterDelete','sendMail','paste') NOT NULL DEFAULT 'text',
  `subrecordOption` set('edit','delete','new') NOT NULL DEFAULT '',
  `encode` enum('none','specialchar') NOT NULL DEFAULT 'specialchar',
  `checkType` enum('auto','alnumx','digit','numerical','email','pattern','allbut','all') NOT NULL DEFAULT 'auto',
  `checkPattern` varchar(255) NOT NULL DEFAULT '',
  `onChange` varchar(255) NOT NULL DEFAULT '',
  `ord` int(11) NOT NULL DEFAULT 0,
  `tabindex` int(11) NOT NULL DEFAULT 0,
  `size` varchar(255) NOT NULL DEFAULT '',
  `maxLength` varchar(255) NOT NULL DEFAULT '',
  `labelAlign` enum('default','left','center','right') NOT NULL DEFAULT 'default',
  `bsLabelColumns` varchar(255) NOT NULL DEFAULT '',
  `bsInputColumns` varchar(255) NOT NULL DEFAULT '',
  `bsNoteColumns` varchar(255) NOT NULL DEFAULT '',
  `rowLabelInputNote` set('row','label','/label','input','/input','note','/note','/row') NOT NULL DEFAULT 'row,label,/label,input,/input,note,/note,/row',
  `note` text NOT NULL,
  `adminNote` text NOT NULL,
  `tooltip` varchar(255) NOT NULL DEFAULT '',
  `placeholder` varchar(2048) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  `sql1` text NOT NULL,
  `parameter` text NOT NULL,
  `parameterLanguageA` text NOT NULL,
  `parameterLanguageB` text NOT NULL,
  `parameterLanguageC` text NOT NULL,
  `parameterLanguageD` text NOT NULL,
  `clientJs` text NOT NULL,
  `feGroup` varchar(255) NOT NULL DEFAULT '',
  `deleted` enum('yes','no') NOT NULL DEFAULT 'no',
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `formId` (`formId`),
  KEY `formId_class_enabled_deleted` (`formId`,`class`,`enabled`,`deleted`),
  KEY `feIdContainer` (`feIdContainer`),
  KEY `ord` (`ord`),
  KEY `feGroup` (`feGroup`)
) ENGINE=InnoDB AUTO_INCREMENT=411 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `FormElement`
--

LOCK TABLES `FormElement` WRITE;
/*!40000 ALTER TABLE `FormElement` DISABLE KEYS */;
INSERT INTO `FormElement` VALUES (1,1,0,'no','yes','basic','Basic','show','','container','pill','','specialchar','all','','',100,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(2,1,0,'no','yes','formelement','Formelement','show','','container','pill','','specialchar','all','','',200,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(3,1,0,'no','yes','layout','Layout','show','','container','pill','','specialchar','all','','',300,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(4,1,0,'no','yes','access','Access','show','','container','pill','','specialchar','all','','',400,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(5,1,0,'no','yes','multi','Multi','hidden','','container','pill','','specialchar','all','','',500,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(100,2,0,'no','yes','basic','Basic','show','','container','pill','','specialchar','all','','',10,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(101,2,0,'no','yes','check_order','Check & Order','show','','container','pill','','specialchar','all','','',290,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(102,2,0,'no','yes','layout','Layout','show','','container','pill','','specialchar','all','','',390,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(103,2,0,'no','yes','value','Value','show','','container','pill','','specialchar','all','','',490,0,'0','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(325,1,0,'no','yes','Delete FE','','show','','action','beforeDelete','','none','all','','',10,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlAfter={{DELETE FROM FormElement WHERE formId={{id:R}} }}','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(326,1,1,'no','yes','name','Name','required','','native','text','','specialchar','pattern','[a-zA-Z0-9._+-]+','',110,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-name\">Info</a>','','','','','','autofocus','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(327,1,1,'no','yes','title','Title','show','','native','text','','none','all','','',120,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-title\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(328,1,1,'no','yes','noteInternal','Note','show','','native','text','','specialchar','all','','',130,0,'40,3','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-note\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(329,1,1,'no','yes','tableName','Table','required','','native','select','','specialchar','all','','',140,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-tablename\">Info</a>','','','','','{{[{{indexData:Y}}]!SHOW tables}}','emptyItemAtStart','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(330,1,1,'no','yes','parameterLanguageA','Language: {{formLanguageALabel:YE}}','show','{{SELECT IF(\"{{formLanguageAId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',150,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(331,1,1,'no','yes','parameterLanguageB','Language: {{formLanguageBLabel:YE}}','show','{{SELECT IF(\"{{formLanguageBId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',160,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(332,1,1,'no','yes','parameterLanguageC','Language: {{formLanguageCLabel:YE}}','show','{{SELECT IF(\"{{formLanguageCId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',170,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(333,1,1,'no','yes','parameterLanguageD','Language: {{formLanguageDLabel:YE}}','show','{{SELECT IF(\"{{formLanguageDId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',180,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(334,1,2,'no','yes','','FormElements','show','','native','subrecord','edit,delete,new','none','all','','',210,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT fe.ord AS _ord, IF( fe.enabled=\"yes\", IF( fe.enabled=\"yes\" AND fe.feIdContainer=0 AND !ISNULL(feCX.id) AND fe.class=\"native\", \"danger\", IF( fe.class=\"container\", \"text-info\",  IF( fe.class=\"action\", \"text-success\", \"\"))), \"text-muted\") AS _rowClass, IF( fe.enabled=\"yes\", IF(fe.feIdContainer=0 AND !ISNULL(feCX.id) AND fe.class=\"native\", \"Please choose a container for this formelement\", fe.class), \"Disabled\") AS _rowTitle, fe.id AS _id, CONCAT(\'<span id=\"qfq-dnd-ord-id-\', fe.id,\'\">\', fe.ord, \'</span><br><small class=\"text-muted\">\',fe.id, \'</small>\') AS \'Ord|nostrip\', CONCAT( IFNULL( CONCAT( feC.name, \" (\", fe.feIdContainer, \")\"),\"\")) AS Container, fe.name AS \"Name|50\", fe.label AS Label, fe.mode AS Mode, fe.class AS Class,	fe.type AS Type, IF(fe.dynamicUpdate=\"yes\", \'<span class=\"glyphicon glyphicon-random\"></span>\',\"\") AS \"Dyn|nostrip\" FROM FormElement AS fe LEFT JOIN FormElement AS feC ON feC.id=fe.feIdContainer AND feC.formId=fe.formId LEFT JOIN FormElement AS feCX ON feCX.class=\"container\" AND feCX.enabled=\"yes\" AND feCX.type=\"pill\" AND feCX.formId=fe.formId WHERE fe.formId={{id:R0}} GROUP BY fe.id ORDER BY fe.ord, fe.id}}','form=formElement\ndetail=id:formId','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(335,1,3,'no','yes','showButton','Show button','show','','native','checkbox','','specialchar','all','','',220,0,'0','5','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#showbutton\">Info</a>','','','','','','checkBoxMode = multi\norientation=vertical','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(336,1,3,'no','yes','labelAlign','Label Align','show','','native','radio','','specialchar','alnumx','','',225,0,'0','5','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#definition\">Info</a>','','','','','','buttonClass','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(337,1,3,'no','yes','parameter','Parameter','show','','native','text','','none','all','','',230,0,'40,8','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-parameter\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(338,1,3,'no','yes','bsLabelColumns','BS Label Columns','show','','native','text','','specialchar','all','','',240,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-layout\">Info</a>','','','{{bsLabelColumns:Y}}','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(339,1,3,'no','yes','bsInputColumns','BS Input Columns','show','','native','text','','specialchar','all','','',250,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{bsInputColumns:Y}}','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(340,1,3,'no','yes','bsNoteColumns','BS Note Columns','show','','native','text','','specialchar','all','','',260,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{bsNoteColumns:Y}}','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(341,1,4,'no','yes','forwardMode','Forward','show','','native','radio','','specialchar','all','','',310,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-forward\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(342,1,4,'no','yes','forwardPage','Forward URL / Page','show','','native','text','','none','all','','',320,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-forward\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(343,1,4,'no','yes','requiredParameterNew','Required Parameter NEW','show','','native','text','','specialchar','all','','',330,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#required-parameter-new-edit\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(344,1,4,'no','yes','requiredParameterEdit','Required Parameter EDIT','show','','native','text','','specialchar','all','','',340,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#required-parameter-new-edit\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(345,1,4,'no','yes','permitNew','Permit New','show','','native','radio','','specialchar','all','','',350,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-permitnewedit\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(346,1,4,'no','yes','permitEdit','Permit Edit','show','','native','radio','','specialchar','all','','',360,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-permitnewedit\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(347,1,4,'no','yes','escapeTypeDefault','Escape type default','show','','native','radio','','specialchar','all','','',370,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#variable-escape\">Info</a>','','','','','','itemList=c:config,s:single,d:double,l:ldap search,L:ldap value,m:mysql realEscapeString,-:none\nbuttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(348,1,4,'no','yes','dirtyMode','Record Locking','show','','native','radio','','specialchar','all','','',380,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#locking-record\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(349,1,4,'no','yes','recordLockTimeoutSeconds','Lock timeout (seconds)','show','','native','text','','specialchar','all','','',390,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#locking-record\">Info</a>','','','','{{SELECT IF(\"{{recordLockTimeoutSeconds:R0}}\"=0,\"{{recordLockTimeoutSeconds:Y0}}\",\"{{recordLockTimeoutSeconds:R0}}\")}}','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(350,1,4,'no','yes','primaryKey','Primary Key','show','','native','text','','specialchar','all','','',400,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#form-primary-key\">Info</a>','','','id','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(351,1,5,'no','yes','multi','Multi','show','','native','fieldset','','specialchar','all','','',510,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(352,1,5,'no','yes','multiMode','Multi Mode','show','','native','radio','','specialchar','all','','',520,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(353,1,5,'no','yes','multiSql','Multi SQL','show','','native','text','','none','all','','',530,0,'40,3','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(354,1,5,'no','yes','multiDetailForm','Multi Detail Form','show','','native','text','','specialchar','all','','',540,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(355,1,5,'no','yes','multiDetailFormParameter','Multi Detail Form Parameter','show','','native','text','','none','all','','',550,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(356,2,100,'no','yes','feIdContainer','Container','show','{{SELECT IF(COUNT(fe.id)>0, \"show\", \"hidden\") FROM Form AS f LEFT JOIN FormElement AS fe ON f.id=fe.formId AND fe.class=\"container\" WHERE f.id={{formId:S0}} GROUP BY f.id}}','native','select','','specialchar','all','','',120,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-container\">Info</a>','','','','','{{!SELECT fe.id, CONCAT(fe.type, \" / \", fe.name, \" (\", COUNT(feSub.id), \")\" ) FROM FormElement As fe LEFT JOIN FormElement As feSub ON feSub.feIdContainer=fe.id WHERE fe.formId={{formId:SR0}} AND fe.class=\"container\" GROUP BY fe.id ORDER BY fe.type, fe.ord, fe.name }}','emptyItemAtStart','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(357,2,100,'no','yes','enabled','Enabled','show','','native','checkbox','','specialchar','all','','',130,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-native\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(358,2,100,'no','yes','dynamicUpdate','Dynamic Update','show','','native','checkbox','','specialchar','all','','',135,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#dynamic-update\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(359,2,100,'no','yes','name','Name','show','','native','text','','specialchar','all','','',140,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-native\">Info</a>','','','','','','typeAheadSql = [{{indexData:Y}}]SELECT COLUMN_NAME FROM information_schema.columns WHERE table_schema = \"{{DB_1_NAME:Y}}\" AND table_name = \"{{SELECT f.tableName FROM Form AS f WHERE f.id={{formId:S0}}}}\" AND COLUMN_NAME LIKE ? ORDER BY COLUMN_NAME\ntypeAheadMinLength = 1\ntypeAheadLimit = 100\ntypeAheadPedantic = 0\n','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(360,2,100,'no','yes','label','Label','show','','native','text','','none','all','','',150,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-native\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(361,2,100,'no','yes','mode','Mode','show','','native','radio','','specialchar','all','','',160,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-native\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(362,2,100,'no','yes','modeSql','Mode sql','show','','native','text','','none','all','','',170,0,'70,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#dynamic-update\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(363,2,100,'yes','yes','class','Class','show','','native','select','','none','all','','',180,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-container\">Info</a>','','','','{{class:FSRD0:alnumx}}','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(364,2,100,'yes','yes','type','Type','show','','native','select','','specialchar','all','','',190,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-native\">Native</a>, <a href=\"{{documentation:Y}}#class-action\">Action</a>, <a href=\"{{documentation:Y}}#class-container\">Container</a>','','','','','','itemList={{SELECT IF( \"{{class:FRD0:alnumx}}\"=\"native\",\"checkbox,date,time,datetime,dateJQW,datetimeJQW,extra,gridJQW,text,editor,annotate,imageCut,note,password,radio,select,subrecord,upload\", IF(\"{{class:FRD0:alnumx}}\"=\"action\",\"beforeLoad,beforeSave,beforeInsert,beforeUpdate,beforeDelete,afterLoad,afterSave,afterInsert,afterUpdate,afterDelete,sendMail,paste\", \"fieldset,pill,templateGroup\")  ) }}','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(365,2,100,'yes','yes','subrecordOption','Subrecord Option','show','{{ SELECT IF(\"{{type:FRE:alnumx}}\"=\"subrecord\" AND \"{{class:FRE:alnumx}}\"=\"native\", \"show\", \"hidden\") }}','native','checkbox','','specialchar','all','','',200,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#subrecord-option\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(366,2,100,'no','yes','parameterLanguageA','Language: {{formLanguageALabel:YE}}','show','{{SELECT IF(\"{{formLanguageAId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(367,2,100,'no','yes','parameterLanguageB','Language: {{formLanguageBLabel:YE}}','show','{{SELECT IF(\"{{formLanguageBId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(368,2,100,'no','yes','parameterLanguageC','Language: {{formLanguageCLabel:YE}}','show','{{SELECT IF(\"{{formLanguageCId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(369,2,100,'no','yes','parameterLanguageD','Language: {{formLanguageDLabel:YE}}','show','{{SELECT IF(\"{{formLanguageDId:YE}}\"=\"\",\"hidden\",\"show\" ) }}','native','text','','none','all','','',210,0,'60,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#multi-language-form\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(370,2,101,'no','yes','encode','Encode','show','','native','radio','','specialchar','all','','',300,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-encode\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(371,2,101,'yes','yes','checkType','Check Type','show','','native','radio','','specialchar','all','','',310,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-checktype\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(372,2,101,'yes','yes','checkPattern','Check Pattern','show','{{ SELECT IF(\"{{checkType:FRE:alnumx}}\"=\"pattern\" OR \"{{checkType:FRE:allbut}}\" LIKE \"min%\", \"show\", \"hidden\") }}','native','text','','none','all','','',320,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-checkpattern\">Info</a>, <a href=\"https://regex101.com/\">Regex101</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(373,2,101,'no','yes','ord','Order','show','','native','text','','specialchar','all','','',340,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-ord\">Info</a>','','','','{{SELECT IF({{ord:R0}}=0,  MAX(IFNULL(fe.ord,0))+10,{{ord:R0}})  FROM (SELECT 1) AS a LEFT JOIN FormElement AS fe ON fe.formId={{formId:S0}} GROUP BY fe.formId}}','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(374,2,101,'no','yes','tabindex','tabindex','show','','native','text','','specialchar','all','','',350,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-tabindex\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(375,2,101,'no','yes','adminNote','Internal Note','show','','native','text','','specialchar','all','','',360,0,'60,4','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(376,2,102,'no','yes','labelAlign','Label Align','show','','native','radio','','specialchar','all','','',400,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#class-native\">Info</a>','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(377,2,102,'no','yes','size','Size','show','','native','text','','specialchar','all','','',405,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-size\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(378,2,102,'no','yes','bsLabelColumns','BS Label Columns','show','','native','text','','specialchar','all','','',410,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-bslabelcolumns\">Info</a>','','','{{SELECT IF(f.bsLabelColumns != \'\', f.bsLabelColumns, \'{{bsLabelColumns:Y}}\') FROM Form AS f WHERE f.id = {{formId}} }}','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(379,2,102,'no','yes','bsInputColumns','BS Input Columns','show','','native','text','','specialchar','all','','',420,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{SELECT IF(f.bsInputColumns != \'\', f.bsInputColumns, \'{{bsInputColumns:Y}}\') FROM Form AS f WHERE f.id = {{formId}} }}','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(380,2,102,'no','yes','bsNoteColumns','BS Note Columns','show','','native','text','','specialchar','all','','',430,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','','','','{{SELECT IF(f.bsNoteColumns != \'\', f.bsNoteColumns, \'{{bsNoteColumns:Y}}\') FROM Form AS f WHERE f.id = {{formId}} }}','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(381,2,102,'no','yes','rowLabelInputNote','Label / Input / Note','show','','native','checkbox','','specialchar','alnumx','','',440,0,'0','10','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-rowlabelinputnote\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(382,2,102,'no','yes','maxLength','Maxlength','show','','native','text','','specialchar','all','','',450,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-maxlength\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(383,2,102,'no','yes','note','Note','show','','native','text','','none','all','','',460,0,'40,5','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-note\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(384,2,102,'no','yes','tooltip','Tooltip','show','','native','text','','none','all','','',470,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-tooltip\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(385,2,102,'no','yes','placeholder','Placeholder','show','','native','text','','none','all','','',480,0,'0','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-placeholder\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(386,2,103,'no','yes','value','value','show','','native','text','','none','all','','',500,0,'40,2','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#field-value\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(387,2,103,'no','yes','sql1','sql1','show','','native','text','','none','all','','',510,0,'40,5','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#sql1\">Info</a><br><br>MariaDB: <a href=\"https://mariadb.com/kb/en/mariadb/select/\">Select</a>, <a href=\"https://mariadb.com/kb/en/mariadb/functions-and-operators/\">Functions</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(388,2,103,'no','yes','parameter','Parameter','show','','native','text','','none','all','','',520,0,'40,8','0','default','','','','row,label,/label,input,/input,note,/note,/row','<a href=\"{{documentation:Y}}#fe-parameter-attributes\">Info</a>','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(389,2,0,'no','yes','Check Name Conflict','','show','','action','beforeSave','','specialchar','auto','','',650,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlValidate={{!SELECT fe.id FROM FormElement AS fe WHERE \"{{class:F:alnumx}}\"=fe.class AND fe.formId={{formId:RF}} AND fe.name!=\"\" AND fe.name=\"{{name:F:alnumx}}\" AND fe.id!={{id:R0}} }}\r\n\r\nexpectRecords=0\r\n\r\nmessageFail=There is already another {{class:F:alnumx}} form element whith name \"{{name:F:alnumx}}\".','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(390,3,0,'no','yes','idSrc','Source Form','show','','native','select','','specialchar','auto','','',10,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT f.id, CONCAT(f.name, \" / \", f.title) FROM Form AS f ORDER BY f.name}}','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(391,3,0,'no','yes','myNewFormName','New Form Name','show','','native','text','','specialchar','auto','','',20,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(392,3,0,'no','yes','clearClipboard','','show','','action','beforeSave','','specialchar','auto','','',100,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlValidate={{!SELECT f.id FROM Form AS f WHERE f.name LIKE \"{{myName:FE:alnumx}}\" LIMIT 1}}\nexpectRecords = 0\nmessageFail = There is already a form with this name\nsqlAfter={{DELETE FROM Clipboard WHERE cookie=\"{{cookieQfq:C0:alnumx}}\" }}','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(393,3,0,'no','yes','updateClipboardRecord','','show','','action','afterSave','','specialchar','auto','','',110,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','sqlAfter={{UPDATE Clipboard AS c, Form AS f SET c.cookie=\"{{cookieQfq:C0:alnumx}}\", c.formIdPaste=f.id /* PasteForm */  WHERE c.id={{id:R}} AND f.name=\"{{form:SE}}\" }}','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(394,3,0,'no','yes','formId','','show','','action','paste','','specialchar','auto','','',200,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT {{id:P}} AS id, \"{{myNewFormName:FE:allbut}}\" AS name}}','recordDestinationTable=Form','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(395,3,0,'no','yes','formElementId','','show','','action','paste','','specialchar','auto','','',210,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','{{!SELECT fe.id AS id, {{formId:P}} AS formId FROM FormElement AS fe WHERE fe.formId={{id:P}} ORDER BY fe.ord}}','recordDestinationTable=FormElement\ntranslateIdColumn=feIdContainer','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(396,4,0,'no','yes','status','Enabled','show','','native','checkbox','','specialchar','alnumx','','',10,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(397,4,0,'yes','yes','type','Type','show','','native','radio','','specialchar','alnumx','','',20,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(398,4,0,'no','yes','nextRun','Next run','show','','native','text','','specialchar','alnumx','','',30,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Cronjob will be started if specified timestamp is over. If timestamp=0: Job will never be started<br>Every time the jobs runs, this timestamp will be increased automatically by \"frequency\".','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(399,4,0,'no','yes','frequency','Frequency','show','','native','text','','specialchar','alnumx','','',40,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Repeat AutoCron-job with the specified interval. If empty: no repeating.<br>E.g.: \"1 DAY\", \"15 MINUTE\', \"6 MONTH\" - used directly in SQL-Function \"DATE_ADD(&lt;nextrun&gt;, INTERVAL &lt;frequency&gt;)\"','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(400,4,0,'no','yes','comment','Comment','show','','native','text','','specialchar','allbut','','',50,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(401,4,0,'yes','yes','sql1','Mail','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"show\",\"hidden\") }}','native','text','','none','all','','',60,0,'60,4','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Query: &#123;&#123;!SELECT ... as sendMailTo...&#125;&#125;<br><b>sendMailTo / sendMailCc / sendMailBcc</b>: Separate multiple by comma.<br><b>sendMailFrom</b><br><b>sendMailSubject</b><br><b>sendMailReplyTo</b>: Optional<br><b>sendMailFlagAutoSubmit</b>: Optional. on|off. Default on - if \"on\", suppresses OoO answers from receivers.<br><b>sendMailGrId</b>: Optional<br><b>sendMailXId</b>: Optional','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(402,4,0,'yes','yes','content','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"Mail body\",\"URL\") }}','show','','native','text','','none','all','','',70,0,'40,4','','default','','','','row,label,/label,input,/input,note,/note,/row','Website: URL absolute like \"http://...\" or relative like \"?id=pagealias...\"<br>Mail: Static Body or &#123;{SELECT ...&#125;}','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(403,4,0,'yes','yes','outputFile','Log output to file','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"hidden\",\"show\") }}','native','text','','none','all','','',80,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','CWD: Site installation directory','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(404,4,0,'yes','yes','outputMode','Mode output','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"hidden\",\"show\") }}','native','radio','','specialchar','alnumx','','',90,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','buttonClass=btn-default','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(405,4,0,'yes','yes','outputPattern','Pattern to look for on output','show','{{SELECT IF(\"{{type:FR:alnumx}}\"=\"mail\",\"hidden\",\"show\") }}','native','text','','none','all','','',100,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','If pattern isn\'t found, return an error.<br>Check <a href=\"https://secure.php.net/manual/en/pcre.pattern.php\">pcre</a> / <a href=\"https://regexp101.com\">regexp101.com</a> ','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(406,4,0,'no','yes','lastRun','Last run','readonly','','native','text','','specialchar','alnumx','','',120,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(407,4,0,'no','yes','lastStatus','Laststatus','readonly','','native','text','','specialchar','alnumx','','',130,0,'50,6','','default','3','9','0','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(408,4,0,'no','yes','inProgress','In progress since','show','','native','text','','specialchar','alnumx','','',140,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','extraButtonInfo = Start time of a running job. When job is finished, this will be set back to 0. A new job will only be started, if this is 0. A progress duration >10mins will be treated as an error.','','','','','','','no','2019-03-06 13:25:49','0000-00-00 00:00:00'),(409,1000,0,'no','yes','prename','','show','','native','text','','specialchar','auto','','',10,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:51:37','2019-03-06 13:51:37'),(410,1000,0,'no','yes','surname','surname','show','','native','text','','specialchar','auto','','',20,0,'','','default','','','','row,label,/label,input,/input,note,/note,/row','','','','','','','','','','','','','','no','2019-03-06 13:51:52','2019-03-06 13:51:52');
/*!40000 ALTER TABLE `FormElement` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `FormSubmitLog`
--

DROP TABLE IF EXISTS `FormSubmitLog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `FormSubmitLog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `formData` text NOT NULL,
  `sipData` text NOT NULL,
  `clientIp` varchar(64) NOT NULL,
  `feUser` varchar(64) NOT NULL,
  `userAgent` text NOT NULL,
  `formId` int(11) NOT NULL,
  `recordId` int(11) NOT NULL,
  `pageId` int(11) NOT NULL,
  `sessionId` varchar(32) NOT NULL,
  `created` timestamp NOT NULL DEFAULT current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `feUser` (`feUser`),
  KEY `formId` (`formId`)
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `FormSubmitLog`
--

LOCK TABLES `FormSubmitLog` WRITE;
/*!40000 ALTER TABLE `FormSubmitLog` DISABLE KEYS */;
INSERT INTO `FormSubmitLog` VALUES (1,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"_h_showButton-0\":\"\",\"labelAlign-0\":\"default\",\"forwardMode-0\":\"client\",\"permitNew-0\":\"sip\",\"permitEdit-0\":\"sip\",\"escapeTypeDefault-0\":\"c\",\"dirtyMode-0\":\"exclusive\",\"name-0\":\"person\",\"title-0\":\"\",\"noteInternal-0\":\"\",\"tableName-0\":\"Person\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"_0_showButton-0\":\"new\",\"_1_showButton-0\":\"delete\",\"_2_showButton-0\":\"close\",\"_3_showButton-0\":\"save\",\"parameter-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"forwardPage-0\":\"\",\"requiredParameterNew-0\":\"\",\"requiredParameterEdit-0\":\"\",\"recordLockTimeoutSeconds-0\":\"900\",\"primaryKey-0\":\"\",\"_sipForTypo3Vars\":\"5c7fcdeac4592\"}','{\"__dbIndexData\":\"1\",\"form\":\"form\",\"r\":\"0\",\"s\":\"5c7fca5da89d3\",\"urlparam\":\"__dbIndexData=1&form=form&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:65.0) Gecko/20100101 Firefox/65.0',1,0,1,'475737fdf9ab351faecafce82bfe0379','2019-03-06 13:41:35'),(2,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"enabled-0\":\"yes\",\"dynamicUpdate-0\":\"no\",\"mode-0\":\"show\",\"_h_subrecordOption-0\":\"\",\"encode-0\":\"specialchar\",\"checkType-0\":\"auto\",\"labelAlign-0\":\"default\",\"_h_rowLabelInputNote-0\":\"\",\"feIdContainer-0\":\"\",\"name-0\":\"prename\",\"label-0\":\"\",\"modeSql-0\":\"\",\"class-0\":\"native\",\"type-0\":\"text\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"checkPattern-0\":\"\",\"ord-0\":\"10\",\"tabindex-0\":\"0\",\"adminNote-0\":\"\",\"size-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"_0_rowLabelInputNote-0\":\"row\",\"_1_rowLabelInputNote-0\":\"label\",\"_2_rowLabelInputNote-0\":\"\\/label\",\"_3_rowLabelInputNote-0\":\"input\",\"_4_rowLabelInputNote-0\":\"\\/input\",\"_5_rowLabelInputNote-0\":\"note\",\"_6_rowLabelInputNote-0\":\"\\/note\",\"_7_rowLabelInputNote-0\":\"\\/row\",\"maxLength-0\":\"\",\"note-0\":\"\",\"tooltip-0\":\"\",\"placeholder-0\":\"\",\"value-0\":\"\",\"sql1-0\":\"\",\"parameter-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd04e44c20\"}','{\"__dbIndexData\":\"1\",\"form\":\"formElement\",\"formId\":\"1000\",\"r\":\"0\",\"s\":\"5c7fd04e4129a\",\"urlparam\":\"__dbIndexData=1&form=formElement&formId=1000&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:65.0) Gecko/20100101 Firefox/65.0',2,0,1,'475737fdf9ab351faecafce82bfe0379','2019-03-06 13:51:37'),(3,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"enabled-0\":\"yes\",\"dynamicUpdate-0\":\"no\",\"mode-0\":\"show\",\"_h_subrecordOption-0\":\"\",\"encode-0\":\"specialchar\",\"checkType-0\":\"auto\",\"labelAlign-0\":\"default\",\"_h_rowLabelInputNote-0\":\"\",\"feIdContainer-0\":\"\",\"name-0\":\"surname\",\"label-0\":\"surname\",\"modeSql-0\":\"\",\"class-0\":\"native\",\"type-0\":\"text\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"checkPattern-0\":\"\",\"ord-0\":\"20\",\"tabindex-0\":\"0\",\"adminNote-0\":\"\",\"size-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"_0_rowLabelInputNote-0\":\"row\",\"_1_rowLabelInputNote-0\":\"label\",\"_2_rowLabelInputNote-0\":\"\\/label\",\"_3_rowLabelInputNote-0\":\"input\",\"_4_rowLabelInputNote-0\":\"\\/input\",\"_5_rowLabelInputNote-0\":\"note\",\"_6_rowLabelInputNote-0\":\"\\/note\",\"_7_rowLabelInputNote-0\":\"\\/row\",\"maxLength-0\":\"\",\"note-0\":\"\",\"tooltip-0\":\"\",\"placeholder-0\":\"\",\"value-0\":\"\",\"sql1-0\":\"\",\"parameter-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd04e44c20\"}','{\"__dbIndexData\":\"1\",\"form\":\"formElement\",\"formId\":\"1000\",\"r\":\"0\",\"s\":\"5c7fd04e4129a\",\"urlparam\":\"__dbIndexData=1&form=formElement&formId=1000&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:65.0) Gecko/20100101 Firefox/65.0',2,0,1,'475737fdf9ab351faecafce82bfe0379','2019-03-06 13:51:52'),(4,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"hans\",\"surname-0\":\"lauda\",\"_sipForTypo3Vars\":\"5c7fd04946252\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd0386d92c\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:65.0) Gecko/20100101 Firefox/65.0',1000,0,2,'475737fdf9ab351faecafce82bfe0379','2019-03-06 13:52:34'),(5,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"_h_showButton-0\":\"\",\"labelAlign-0\":\"default\",\"forwardMode-0\":\"client\",\"permitNew-0\":\"sip\",\"permitEdit-0\":\"sip\",\"escapeTypeDefault-0\":\"c\",\"dirtyMode-0\":\"exclusive\",\"name-0\":\"form-name\",\"title-0\":\"\",\"noteInternal-0\":\"\",\"tableName-0\":\"Dirty\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"_0_showButton-0\":\"new\",\"_1_showButton-0\":\"delete\",\"_2_showButton-0\":\"close\",\"_3_showButton-0\":\"save\",\"parameter-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"forwardPage-0\":\"\",\"requiredParameterNew-0\":\"\",\"requiredParameterEdit-0\":\"\",\"recordLockTimeoutSeconds-0\":\"900\",\"primaryKey-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd33595fc0\"}','{\"__dbIndexData\":\"1\",\"form\":\"form\",\"r\":\"0\",\"s\":\"5c7fd334320ef\",\"urlparam\":\"__dbIndexData=1&form=form&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1,0,1,'5576400e63a37abe4db11a389f8fc3fb','2019-03-06 14:03:35'),(6,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans\",\"surname-0\":\"Lauda\",\"_sipForTypo3Vars\":\"5c7fd33c5a57b\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd33b123a7\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'392dd087ba34ad7be1882ec5ac2a47ce','2019-03-06 14:03:41'),(7,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"_h_showButton-0\":\"\",\"labelAlign-0\":\"default\",\"forwardMode-0\":\"client\",\"permitNew-0\":\"sip\",\"permitEdit-0\":\"sip\",\"escapeTypeDefault-0\":\"c\",\"dirtyMode-0\":\"exclusive\",\"name-0\":\"form-name\",\"title-0\":\"\",\"noteInternal-0\":\"\",\"tableName-0\":\"Dirty\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"_0_showButton-0\":\"new\",\"_1_showButton-0\":\"delete\",\"_2_showButton-0\":\"close\",\"_3_showButton-0\":\"save\",\"parameter-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"forwardPage-0\":\"\",\"requiredParameterNew-0\":\"\",\"requiredParameterEdit-0\":\"\",\"recordLockTimeoutSeconds-0\":\"900\",\"primaryKey-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd3b201190\"}','{\"__dbIndexData\":\"1\",\"form\":\"form\",\"r\":\"0\",\"s\":\"5c7fd3b0702d9\",\"urlparam\":\"__dbIndexData=1&form=form&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1,0,1,'48129ce8a5459ae032227ea92e5a0089','2019-03-06 14:05:39'),(8,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans\",\"surname-0\":\"Lauda\",\"_sipForTypo3Vars\":\"5c7fd3b91fea4\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd3b7c5e7e\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'bb03f1a35b7ae759510d799b5a095e2f','2019-03-06 14:05:46'),(9,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"_h_showButton-0\":\"\",\"labelAlign-0\":\"default\",\"forwardMode-0\":\"client\",\"permitNew-0\":\"sip\",\"permitEdit-0\":\"sip\",\"escapeTypeDefault-0\":\"c\",\"dirtyMode-0\":\"exclusive\",\"name-0\":\"form-name\",\"title-0\":\"\",\"noteInternal-0\":\"\",\"tableName-0\":\"Dirty\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"_0_showButton-0\":\"new\",\"_1_showButton-0\":\"delete\",\"_2_showButton-0\":\"close\",\"_3_showButton-0\":\"save\",\"parameter-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"forwardPage-0\":\"\",\"requiredParameterNew-0\":\"\",\"requiredParameterEdit-0\":\"\",\"recordLockTimeoutSeconds-0\":\"900\",\"primaryKey-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd4614146f\"}','{\"__dbIndexData\":\"1\",\"form\":\"form\",\"r\":\"0\",\"s\":\"5c7fd45f86a2e\",\"urlparam\":\"__dbIndexData=1&form=form&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1,0,1,'97e8abfd80eae5492a47c08a5c639a7d','2019-03-06 14:08:34'),(10,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans\",\"surname-0\":\"Lauda\",\"_sipForTypo3Vars\":\"5c7fd464d98b0\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd4640a9af\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'97e8abfd80eae5492a47c08a5c639a7d','2019-03-06 14:08:37'),(11,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"_h_showButton-0\":\"\",\"labelAlign-0\":\"default\",\"forwardMode-0\":\"client\",\"permitNew-0\":\"sip\",\"permitEdit-0\":\"sip\",\"escapeTypeDefault-0\":\"c\",\"dirtyMode-0\":\"exclusive\",\"name-0\":\"form-name\",\"title-0\":\"\",\"noteInternal-0\":\"\",\"tableName-0\":\"Dirty\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"_0_showButton-0\":\"new\",\"_1_showButton-0\":\"delete\",\"_2_showButton-0\":\"close\",\"_3_showButton-0\":\"save\",\"parameter-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"forwardPage-0\":\"\",\"requiredParameterNew-0\":\"\",\"requiredParameterEdit-0\":\"\",\"recordLockTimeoutSeconds-0\":\"900\",\"primaryKey-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd481c8eff\"}','{\"__dbIndexData\":\"1\",\"form\":\"form\",\"r\":\"0\",\"s\":\"5c7fd4803504d\",\"urlparam\":\"__dbIndexData=1&form=form&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1,0,1,'1774a804ec793e080544c265678e4f8c','2019-03-06 14:09:07'),(12,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans\",\"surname-0\":\"Lauda\",\"_sipForTypo3Vars\":\"5c7fd485cdf35\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd4852baac\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'1774a804ec793e080544c265678e4f8c','2019-03-06 14:09:10'),(13,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"_h_showButton-0\":\"\",\"labelAlign-0\":\"default\",\"forwardMode-0\":\"client\",\"permitNew-0\":\"sip\",\"permitEdit-0\":\"sip\",\"escapeTypeDefault-0\":\"c\",\"dirtyMode-0\":\"exclusive\",\"name-0\":\"form-name\",\"title-0\":\"\",\"noteInternal-0\":\"\",\"tableName-0\":\"Dirty\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"_0_showButton-0\":\"new\",\"_1_showButton-0\":\"delete\",\"_2_showButton-0\":\"close\",\"_3_showButton-0\":\"save\",\"parameter-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"forwardPage-0\":\"\",\"requiredParameterNew-0\":\"\",\"requiredParameterEdit-0\":\"\",\"recordLockTimeoutSeconds-0\":\"900\",\"primaryKey-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd4a793dd0\"}','{\"__dbIndexData\":\"1\",\"form\":\"form\",\"r\":\"0\",\"s\":\"5c7fd4a5856e3\",\"urlparam\":\"__dbIndexData=1&form=form&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1,0,1,'3cc31149503917c60f8a727433350f4b','2019-03-06 14:09:45'),(14,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans\",\"surname-0\":\"Lauda\",\"_sipForTypo3Vars\":\"5c7fd4ab62e1b\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd4aa8af30\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'3cc31149503917c60f8a727433350f4b','2019-03-06 14:09:48'),(15,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"_h_showButton-0\":\"\",\"labelAlign-0\":\"default\",\"forwardMode-0\":\"client\",\"permitNew-0\":\"sip\",\"permitEdit-0\":\"sip\",\"escapeTypeDefault-0\":\"c\",\"dirtyMode-0\":\"exclusive\",\"name-0\":\"form-name\",\"title-0\":\"\",\"noteInternal-0\":\"\",\"tableName-0\":\"Dirty\",\"parameterLanguageA-0\":\"\",\"parameterLanguageB-0\":\"\",\"parameterLanguageC-0\":\"\",\"parameterLanguageD-0\":\"\",\"_0_showButton-0\":\"new\",\"_1_showButton-0\":\"delete\",\"_2_showButton-0\":\"close\",\"_3_showButton-0\":\"save\",\"parameter-0\":\"\",\"bsLabelColumns-0\":\"\",\"bsInputColumns-0\":\"\",\"bsNoteColumns-0\":\"\",\"forwardPage-0\":\"\",\"requiredParameterNew-0\":\"\",\"requiredParameterEdit-0\":\"\",\"recordLockTimeoutSeconds-0\":\"900\",\"primaryKey-0\":\"\",\"_sipForTypo3Vars\":\"5c7fdbb73eb1d\"}','{\"__dbIndexData\":\"1\",\"form\":\"form\",\"r\":\"0\",\"s\":\"5c7fdbb58b212\",\"urlparam\":\"__dbIndexData=1&form=form&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1,0,1,'9771d745a935e12d16cb4b4ba5cdd0f6','2019-03-06 14:39:52'),(16,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans\",\"surname-0\":\"Lauda\",\"_sipForTypo3Vars\":\"5c7fdbbb5ec22\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fdbba6bfb1\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'9771d745a935e12d16cb4b4ba5cdd0f6','2019-03-06 14:39:56'),(17,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans3\",\"surname-0\":\"\",\"_sipForTypo3Vars\":\"5c7fdf5211d56\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fdf503c9f2\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'091dcc7419efc1cebdeb4658fbbab44f','2019-03-06 14:55:18'),(18,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"sdf\",\"surname-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd04946252\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd0386d92c\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:65.0) Gecko/20100101 Firefox/65.0',1000,0,2,'475737fdf9ab351faecafce82bfe0379','2019-03-06 14:55:45'),(19,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"sdfdfg\",\"surname-0\":\"\",\"_sipForTypo3Vars\":\"5c7fd04946252\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fd0386d92c\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:65.0) Gecko/20100101 Firefox/65.0',1000,0,2,'475737fdf9ab351faecafce82bfe0379','2019-03-06 14:55:58'),(20,'{\"email\":\"\",\"username\":\"\",\"password\":\"\",\"recordHashMd5\":\"d41d8cd98f00b204e9800998ecf8427e\",\"prename-0\":\"Hans3\",\"surname-0\":\"\",\"_sipForTypo3Vars\":\"5c7fdf95824dc\"}','{\"__dbIndexData\":\"1\",\"form\":\"person\",\"r\":\"0\",\"s\":\"5c7fdf93c0748\",\"urlparam\":\"__dbIndexData=1&form=person&r=0\"}','172.17.0.1','','Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/72.0.3626.121 Safari/537.36',1000,0,2,'36d8f8e582b167975ac8dc545ff6106f','2019-03-06 14:56:26');
/*!40000 ALTER TABLE `FormSubmitLog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `MailLog`
--

DROP TABLE IF EXISTS `MailLog`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `MailLog` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grId` int(11) NOT NULL DEFAULT 0,
  `xId` int(11) NOT NULL DEFAULT 0,
  `xId2` int(11) NOT NULL DEFAULT 0,
  `xId3` int(11) NOT NULL DEFAULT 0,
  `receiver` text NOT NULL,
  `sender` varchar(255) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `header` varchar(255) NOT NULL DEFAULT '',
  `attach` varchar(1024) NOT NULL DEFAULT '',
  `src` varchar(255) NOT NULL DEFAULT '',
  `modified` timestamp NOT NULL DEFAULT current_timestamp(),
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `MailLog`
--

LOCK TABLES `MailLog` WRITE;
/*!40000 ALTER TABLE `MailLog` DISABLE KEYS */;
/*!40000 ALTER TABLE `MailLog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Period`
--

DROP TABLE IF EXISTS `Period`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Period` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `start` datetime NOT NULL,
  `name` varchar(255) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `start` (`start`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Period`
--

LOCK TABLES `Period` WRITE;
/*!40000 ALTER TABLE `Period` DISABLE KEYS */;
INSERT INTO `Period` VALUES (1,'2019-02-14 10:04:47','dummy','2019-02-14 10:04:47','2019-02-14 10:04:47');
/*!40000 ALTER TABLE `Period` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Person`
--

DROP TABLE IF EXISTS `Person`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Person` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `prename` text NOT NULL,
  `surname` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Person`
--

LOCK TABLES `Person` WRITE;
/*!40000 ALTER TABLE `Person` DISABLE KEYS */;
/*!40000 ALTER TABLE `Person` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `Split`
--

DROP TABLE IF EXISTS `Split`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `Split` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tableName` varchar(255) NOT NULL,
  `xId` int(11) NOT NULL,
  `pathFileName` varchar(255) NOT NULL,
  `modified` timestamp NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `Split`
--

LOCK TABLES `Split` WRITE;
/*!40000 ALTER TABLE `Split` DISABLE KEYS */;
/*!40000 ALTER TABLE `Split` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-03-07  8:44:32
