# -*- coding: utf-8 -*-
import unittest
import qfqselenium


class TestBasicFunctionality(qfqselenium.QfqSeleniumTestCase):

    def test_create_form(self):
    	s = self

        s.qfq_goto('index.php')
        s.qfq_click_new_form_button()
        s.qfq_fill_textfield('name', 'form-name')
        s.qfq_dropdown_select('tableName', 'Person')
        s.qfq_click_save_form_button()
        s.qfq_click_close_form_button()
        s.qfq_assert_text_exists('form-name')


    def test_create_person(self):
    	s = self

        s.qfq_goto('index.php?id=2')
        s.qfq_find_by_data_ref('newPerson').click()
        s.qfq_fill_textfield('prename', 'Hans')
        s.qfq_fill_textfield('surname', 'Lauda')
        s.qfq_click_save_form_button()
        s.qfq_click_close_form_button()
        s.qfq_assert_text_exists('Hans')
        s.qfq_assert_text_exists('Lauda')

    def test_close_unsaved_changes_yes(self):
        s = self

        s.qfq_goto('index.php?id=2')
        s.qfq_find_by_data_ref('newPerson').click()
        s.qfq_fill_textfield('prename', 'Hans3')
        s.qfq_click_close_form_button()
        s.qfq_click_button_with_text('Yes')
        s.qfq_click_close_form_button()
        s.qfq_assert_text_exists('Hans3')

    def test_close_unsaved_changes_cancel_then_no(self):
        s = self

        s.qfq_goto('index.php?id=2')
        s.qfq_find_by_data_ref('newPerson').click()
        s.qfq_fill_textfield('prename', 'Hans4')
        s.qfq_click_close_form_button()
        s.qfq_click_button_with_text('Cancel')
        s.qfq_click_close_form_button()
        s.qfq_click_button_with_text('No')
        s.qfq_assert_text_absent('Hans2')


if __name__ == "__main__":
    unittest.main()